/**
 * <div id="demo"></div>
 * <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/gd-sprest-bs/5.0.3/gd-sprest-bs.min.js"></script>
 * <script type="text/javascript">
 *     // Wait for the window to be loaded
 *     window.addEventListener("load", function() {
 *         // Create the icon and append it to the target element
 *         var elIcon = $REST.Icons($REST.IconTypes.Alarm, 32, 32);
 *         document.querySelector("#demo").appendChild(elIcon);
 *     });
 * </script>
*/

/**
 * ### Icons
 * 
 * Renders an icon by type
 * 
 * ```ts
 * import { Icons, IconTypes } from "gd-sprest-bs";
 * 
 * // Create the icon and append it to the target element
 * let elIcon = Icons(IconTypes.Alarm, 32, 32);
 * document.querySelector("#icon").appendChild(elIcon);
 * ```
 */
export const Icons: (iconType:number, height?:number, width?:number) => HTMLElement;

/**
 * Icon Types
*/
export const IconTypes: {
	// alarm-fill.svg
	AlarmFill: number;
	// alarm.svg
	Alarm: number;
	// align-bottom.svg
	AlignBottom: number;
	// align-center.svg
	AlignCenter: number;
	// align-end.svg
	AlignEnd: number;
	// align-middle.svg
	AlignMiddle: number;
	// align-start.svg
	AlignStart: number;
	// align-top.svg
	AlignTop: number;
	// alt.svg
	Alt: number;
	// app-indicator.svg
	AppIndicator: number;
	// app.svg
	App: number;
	// archive-fill.svg
	ArchiveFill: number;
	// archive.svg
	Archive: number;
	// arrow-90deg-down.svg
	Arrow90degDown: number;
	// arrow-90deg-left.svg
	Arrow90degLeft: number;
	// arrow-90deg-right.svg
	Arrow90degRight: number;
	// arrow-90deg-up.svg
	Arrow90degUp: number;
	// arrow-bar-down.svg
	ArrowBarDown: number;
	// arrow-bar-left.svg
	ArrowBarLeft: number;
	// arrow-bar-right.svg
	ArrowBarRight: number;
	// arrow-bar-up.svg
	ArrowBarUp: number;
	// arrow-clockwise.svg
	ArrowClockwise: number;
	// arrow-counterclockwise.svg
	ArrowCounterclockwise: number;
	// arrow-down-circle-fill.svg
	ArrowDownCircleFill: number;
	// arrow-down-circle.svg
	ArrowDownCircle: number;
	// arrow-down-left-circle-fill.svg
	ArrowDownLeftCircleFill: number;
	// arrow-down-left-circle.svg
	ArrowDownLeftCircle: number;
	// arrow-down-left-square-fill.svg
	ArrowDownLeftSquareFill: number;
	// arrow-down-left-square.svg
	ArrowDownLeftSquare: number;
	// arrow-down-left.svg
	ArrowDownLeft: number;
	// arrow-down-right-circle-fill.svg
	ArrowDownRightCircleFill: number;
	// arrow-down-right-circle.svg
	ArrowDownRightCircle: number;
	// arrow-down-right-square-fill.svg
	ArrowDownRightSquareFill: number;
	// arrow-down-right-square.svg
	ArrowDownRightSquare: number;
	// arrow-down-right.svg
	ArrowDownRight: number;
	// arrow-down-short.svg
	ArrowDownShort: number;
	// arrow-down-square-fill.svg
	ArrowDownSquareFill: number;
	// arrow-down-square.svg
	ArrowDownSquare: number;
	// arrow-down-up.svg
	ArrowDownUp: number;
	// arrow-down.svg
	ArrowDown: number;
	// arrow-left-circle-fill.svg
	ArrowLeftCircleFill: number;
	// arrow-left-circle.svg
	ArrowLeftCircle: number;
	// arrow-left-right.svg
	ArrowLeftRight: number;
	// arrow-left-short.svg
	ArrowLeftShort: number;
	// arrow-left-square-fill.svg
	ArrowLeftSquareFill: number;
	// arrow-left-square.svg
	ArrowLeftSquare: number;
	// arrow-left.svg
	ArrowLeft: number;
	// arrow-repeat.svg
	ArrowRepeat: number;
	// arrow-return-left.svg
	ArrowReturnLeft: number;
	// arrow-return-right.svg
	ArrowReturnRight: number;
	// arrow-right-circle-fill.svg
	ArrowRightCircleFill: number;
	// arrow-right-circle.svg
	ArrowRightCircle: number;
	// arrow-right-short.svg
	ArrowRightShort: number;
	// arrow-right-square-fill.svg
	ArrowRightSquareFill: number;
	// arrow-right-square.svg
	ArrowRightSquare: number;
	// arrow-right.svg
	ArrowRight: number;
	// arrow-up-circle-fill.svg
	ArrowUpCircleFill: number;
	// arrow-up-circle.svg
	ArrowUpCircle: number;
	// arrow-up-left-circle-fill.svg
	ArrowUpLeftCircleFill: number;
	// arrow-up-left-circle.svg
	ArrowUpLeftCircle: number;
	// arrow-up-left-square-fill.svg
	ArrowUpLeftSquareFill: number;
	// arrow-up-left-square.svg
	ArrowUpLeftSquare: number;
	// arrow-up-left.svg
	ArrowUpLeft: number;
	// arrow-up-right-circle-fill.svg
	ArrowUpRightCircleFill: number;
	// arrow-up-right-circle.svg
	ArrowUpRightCircle: number;
	// arrow-up-right-square-fill.svg
	ArrowUpRightSquareFill: number;
	// arrow-up-right-square.svg
	ArrowUpRightSquare: number;
	// arrow-up-right.svg
	ArrowUpRight: number;
	// arrow-up-short.svg
	ArrowUpShort: number;
	// arrow-up-square-fill.svg
	ArrowUpSquareFill: number;
	// arrow-up-square.svg
	ArrowUpSquare: number;
	// arrow-up.svg
	ArrowUp: number;
	// arrows-angle-contract.svg
	ArrowsAngleContract: number;
	// arrows-angle-expand.svg
	ArrowsAngleExpand: number;
	// arrows-collapse.svg
	ArrowsCollapse: number;
	// arrows-expand.svg
	ArrowsExpand: number;
	// arrows-fullscreen.svg
	ArrowsFullscreen: number;
	// arrows-move.svg
	ArrowsMove: number;
	// aspect-ratio-fill.svg
	AspectRatioFill: number;
	// aspect-ratio.svg
	AspectRatio: number;
	// asterisk.svg
	Asterisk: number;
	// at.svg
	At: number;
	// award-fill.svg
	AwardFill: number;
	// award.svg
	Award: number;
	// back.svg
	Back: number;
	// backspace-fill.svg
	BackspaceFill: number;
	// backspace-reverse-fill.svg
	BackspaceReverseFill: number;
	// backspace-reverse.svg
	BackspaceReverse: number;
	// backspace.svg
	Backspace: number;
	// badge-3d-fill.svg
	Badge3dFill: number;
	// badge-3d.svg
	Badge3d: number;
	// badge-4k-fill.svg
	Badge4kFill: number;
	// badge-4k.svg
	Badge4k: number;
	// badge-8k-fill.svg
	Badge8kFill: number;
	// badge-8k.svg
	Badge8k: number;
	// badge-ad-fill.svg
	BadgeAdFill: number;
	// badge-ad.svg
	BadgeAd: number;
	// badge-ar-fill.svg
	BadgeArFill: number;
	// badge-ar.svg
	BadgeAr: number;
	// badge-cc-fill.svg
	BadgeCcFill: number;
	// badge-cc.svg
	BadgeCc: number;
	// badge-hd-fill.svg
	BadgeHdFill: number;
	// badge-hd.svg
	BadgeHd: number;
	// badge-tm-fill.svg
	BadgeTmFill: number;
	// badge-tm.svg
	BadgeTm: number;
	// badge-vo-fill.svg
	BadgeVoFill: number;
	// badge-vo.svg
	BadgeVo: number;
	// badge-vr-fill.svg
	BadgeVrFill: number;
	// badge-vr.svg
	BadgeVr: number;
	// badge-wc-fill.svg
	BadgeWcFill: number;
	// badge-wc.svg
	BadgeWc: number;
	// bag-check-fill.svg
	BagCheckFill: number;
	// bag-check.svg
	BagCheck: number;
	// bag-dash-fill.svg
	BagDashFill: number;
	// bag-dash.svg
	BagDash: number;
	// bag-fill.svg
	BagFill: number;
	// bag-plus-fill.svg
	BagPlusFill: number;
	// bag-plus.svg
	BagPlus: number;
	// bag-x-fill.svg
	BagXFill: number;
	// bag-x.svg
	BagX: number;
	// bag.svg
	Bag: number;
	// bar-chart-fill.svg
	BarChartFill: number;
	// bar-chart-line-fill.svg
	BarChartLineFill: number;
	// bar-chart-line.svg
	BarChartLine: number;
	// bar-chart-steps.svg
	BarChartSteps: number;
	// bar-chart.svg
	BarChart: number;
	// basket-fill.svg
	BasketFill: number;
	// basket.svg
	Basket: number;
	// basket2-fill.svg
	Basket2Fill: number;
	// basket2.svg
	Basket2: number;
	// basket3-fill.svg
	Basket3Fill: number;
	// basket3.svg
	Basket3: number;
	// battery-charging.svg
	BatteryCharging: number;
	// battery-full.svg
	BatteryFull: number;
	// battery-half.svg
	BatteryHalf: number;
	// battery.svg
	Battery: number;
	// bell-fill.svg
	BellFill: number;
	// bell.svg
	Bell: number;
	// bezier.svg
	Bezier: number;
	// bezier2.svg
	Bezier2: number;
	// bicycle.svg
	Bicycle: number;
	// binoculars-fill.svg
	BinocularsFill: number;
	// binoculars.svg
	Binoculars: number;
	// blockquote-left.svg
	BlockquoteLeft: number;
	// blockquote-right.svg
	BlockquoteRight: number;
	// book-fill.svg
	BookFill: number;
	// book-half.svg
	BookHalf: number;
	// book.svg
	Book: number;
	// bookmark-check-fill.svg
	BookmarkCheckFill: number;
	// bookmark-check.svg
	BookmarkCheck: number;
	// bookmark-dash-fill.svg
	BookmarkDashFill: number;
	// bookmark-dash.svg
	BookmarkDash: number;
	// bookmark-fill.svg
	BookmarkFill: number;
	// bookmark-heart-fill.svg
	BookmarkHeartFill: number;
	// bookmark-heart.svg
	BookmarkHeart: number;
	// bookmark-plus-fill.svg
	BookmarkPlusFill: number;
	// bookmark-plus.svg
	BookmarkPlus: number;
	// bookmark-star-fill.svg
	BookmarkStarFill: number;
	// bookmark-star.svg
	BookmarkStar: number;
	// bookmark-x-fill.svg
	BookmarkXFill: number;
	// bookmark-x.svg
	BookmarkX: number;
	// bookmark.svg
	Bookmark: number;
	// bookmarks-fill.svg
	BookmarksFill: number;
	// bookmarks.svg
	Bookmarks: number;
	// bookshelf.svg
	Bookshelf: number;
	// bootstrap-fill.svg
	BootstrapFill: number;
	// bootstrap-reboot.svg
	BootstrapReboot: number;
	// bootstrap.svg
	Bootstrap: number;
	// border-all.svg
	BorderAll: number;
	// border-bottom.svg
	BorderBottom: number;
	// border-center.svg
	BorderCenter: number;
	// border-inner.svg
	BorderInner: number;
	// border-left.svg
	BorderLeft: number;
	// border-middle.svg
	BorderMiddle: number;
	// border-outer.svg
	BorderOuter: number;
	// border-right.svg
	BorderRight: number;
	// border-style.svg
	BorderStyle: number;
	// border-top.svg
	BorderTop: number;
	// border-width.svg
	BorderWidth: number;
	// border.svg
	Border: number;
	// bounding-box-circles.svg
	BoundingBoxCircles: number;
	// bounding-box.svg
	BoundingBox: number;
	// box-arrow-down-left.svg
	BoxArrowDownLeft: number;
	// box-arrow-down-right.svg
	BoxArrowDownRight: number;
	// box-arrow-down.svg
	BoxArrowDown: number;
	// box-arrow-in-down-left.svg
	BoxArrowInDownLeft: number;
	// box-arrow-in-down-right.svg
	BoxArrowInDownRight: number;
	// box-arrow-in-down.svg
	BoxArrowInDown: number;
	// box-arrow-in-left.svg
	BoxArrowInLeft: number;
	// box-arrow-in-right.svg
	BoxArrowInRight: number;
	// box-arrow-in-up-left.svg
	BoxArrowInUpLeft: number;
	// box-arrow-in-up-right.svg
	BoxArrowInUpRight: number;
	// box-arrow-in-up.svg
	BoxArrowInUp: number;
	// box-arrow-left.svg
	BoxArrowLeft: number;
	// box-arrow-right.svg
	BoxArrowRight: number;
	// box-arrow-up-left.svg
	BoxArrowUpLeft: number;
	// box-arrow-up-right.svg
	BoxArrowUpRight: number;
	// box-arrow-up.svg
	BoxArrowUp: number;
	// box-seam.svg
	BoxSeam: number;
	// box.svg
	Box: number;
	// braces.svg
	Braces: number;
	// bricks.svg
	Bricks: number;
	// briefcase-fill.svg
	BriefcaseFill: number;
	// briefcase.svg
	Briefcase: number;
	// brightness-alt-high-fill.svg
	BrightnessAltHighFill: number;
	// brightness-alt-high.svg
	BrightnessAltHigh: number;
	// brightness-alt-low-fill.svg
	BrightnessAltLowFill: number;
	// brightness-alt-low.svg
	BrightnessAltLow: number;
	// brightness-high-fill.svg
	BrightnessHighFill: number;
	// brightness-high.svg
	BrightnessHigh: number;
	// brightness-low-fill.svg
	BrightnessLowFill: number;
	// brightness-low.svg
	BrightnessLow: number;
	// broadcast-pin.svg
	BroadcastPin: number;
	// broadcast.svg
	Broadcast: number;
	// brush-fill.svg
	BrushFill: number;
	// brush.svg
	Brush: number;
	// bucket-fill.svg
	BucketFill: number;
	// bucket.svg
	Bucket: number;
	// bug-fill.svg
	BugFill: number;
	// bug.svg
	Bug: number;
	// building.svg
	Building: number;
	// bullseye.svg
	Bullseye: number;
	// calculator-fill.svg
	CalculatorFill: number;
	// calculator.svg
	Calculator: number;
	// calendar-check-fill.svg
	CalendarCheckFill: number;
	// calendar-check.svg
	CalendarCheck: number;
	// calendar-date-fill.svg
	CalendarDateFill: number;
	// calendar-date.svg
	CalendarDate: number;
	// calendar-day-fill.svg
	CalendarDayFill: number;
	// calendar-day.svg
	CalendarDay: number;
	// calendar-event-fill.svg
	CalendarEventFill: number;
	// calendar-event.svg
	CalendarEvent: number;
	// calendar-fill.svg
	CalendarFill: number;
	// calendar-minus-fill.svg
	CalendarMinusFill: number;
	// calendar-minus.svg
	CalendarMinus: number;
	// calendar-month-fill.svg
	CalendarMonthFill: number;
	// calendar-month.svg
	CalendarMonth: number;
	// calendar-plus-fill.svg
	CalendarPlusFill: number;
	// calendar-plus.svg
	CalendarPlus: number;
	// calendar-range-fill.svg
	CalendarRangeFill: number;
	// calendar-range.svg
	CalendarRange: number;
	// calendar-week-fill.svg
	CalendarWeekFill: number;
	// calendar-week.svg
	CalendarWeek: number;
	// calendar-x-fill.svg
	CalendarXFill: number;
	// calendar-x.svg
	CalendarX: number;
	// calendar.svg
	Calendar: number;
	// calendar2-check-fill.svg
	Calendar2CheckFill: number;
	// calendar2-check.svg
	Calendar2Check: number;
	// calendar2-date-fill.svg
	Calendar2DateFill: number;
	// calendar2-date.svg
	Calendar2Date: number;
	// calendar2-day-fill.svg
	Calendar2DayFill: number;
	// calendar2-day.svg
	Calendar2Day: number;
	// calendar2-event-fill.svg
	Calendar2EventFill: number;
	// calendar2-event.svg
	Calendar2Event: number;
	// calendar2-fill.svg
	Calendar2Fill: number;
	// calendar2-minus-fill.svg
	Calendar2MinusFill: number;
	// calendar2-minus.svg
	Calendar2Minus: number;
	// calendar2-month-fill.svg
	Calendar2MonthFill: number;
	// calendar2-month.svg
	Calendar2Month: number;
	// calendar2-plus-fill.svg
	Calendar2PlusFill: number;
	// calendar2-plus.svg
	Calendar2Plus: number;
	// calendar2-range-fill.svg
	Calendar2RangeFill: number;
	// calendar2-range.svg
	Calendar2Range: number;
	// calendar2-week-fill.svg
	Calendar2WeekFill: number;
	// calendar2-week.svg
	Calendar2Week: number;
	// calendar2-x-fill.svg
	Calendar2XFill: number;
	// calendar2-x.svg
	Calendar2X: number;
	// calendar2.svg
	Calendar2: number;
	// calendar3-event-fill.svg
	Calendar3EventFill: number;
	// calendar3-event.svg
	Calendar3Event: number;
	// calendar3-fill.svg
	Calendar3Fill: number;
	// calendar3-range-fill.svg
	Calendar3RangeFill: number;
	// calendar3-range.svg
	Calendar3Range: number;
	// calendar3-week-fill.svg
	Calendar3WeekFill: number;
	// calendar3-week.svg
	Calendar3Week: number;
	// calendar3.svg
	Calendar3: number;
	// calendar4-event.svg
	Calendar4Event: number;
	// calendar4-range.svg
	Calendar4Range: number;
	// calendar4-week.svg
	Calendar4Week: number;
	// calendar4.svg
	Calendar4: number;
	// camera-fill.svg
	CameraFill: number;
	// camera-reels-fill.svg
	CameraReelsFill: number;
	// camera-reels.svg
	CameraReels: number;
	// camera-video-fill.svg
	CameraVideoFill: number;
	// camera-video-off-fill.svg
	CameraVideoOffFill: number;
	// camera-video-off.svg
	CameraVideoOff: number;
	// camera-video.svg
	CameraVideo: number;
	// camera.svg
	Camera: number;
	// camera2.svg
	Camera2: number;
	// capslock-fill.svg
	CapslockFill: number;
	// capslock.svg
	Capslock: number;
	// card-checklist.svg
	CardChecklist: number;
	// card-heading.svg
	CardHeading: number;
	// card-image.svg
	CardImage: number;
	// card-list.svg
	CardList: number;
	// card-text.svg
	CardText: number;
	// caret-down-fill.svg
	CaretDownFill: number;
	// caret-down-square-fill.svg
	CaretDownSquareFill: number;
	// caret-down-square.svg
	CaretDownSquare: number;
	// caret-down.svg
	CaretDown: number;
	// caret-left-fill.svg
	CaretLeftFill: number;
	// caret-left-square-fill.svg
	CaretLeftSquareFill: number;
	// caret-left-square.svg
	CaretLeftSquare: number;
	// caret-left.svg
	CaretLeft: number;
	// caret-right-fill.svg
	CaretRightFill: number;
	// caret-right-square-fill.svg
	CaretRightSquareFill: number;
	// caret-right-square.svg
	CaretRightSquare: number;
	// caret-right.svg
	CaretRight: number;
	// caret-up-fill.svg
	CaretUpFill: number;
	// caret-up-square-fill.svg
	CaretUpSquareFill: number;
	// caret-up-square.svg
	CaretUpSquare: number;
	// caret-up.svg
	CaretUp: number;
	// cart-check-fill.svg
	CartCheckFill: number;
	// cart-check.svg
	CartCheck: number;
	// cart-dash-fill.svg
	CartDashFill: number;
	// cart-dash.svg
	CartDash: number;
	// cart-fill.svg
	CartFill: number;
	// cart-plus-fill.svg
	CartPlusFill: number;
	// cart-plus.svg
	CartPlus: number;
	// cart-x-fill.svg
	CartXFill: number;
	// cart-x.svg
	CartX: number;
	// cart.svg
	Cart: number;
	// cart2.svg
	Cart2: number;
	// cart3.svg
	Cart3: number;
	// cart4.svg
	Cart4: number;
	// cash-stack.svg
	CashStack: number;
	// cash.svg
	Cash: number;
	// cast.svg
	Cast: number;
	// chat-dots-fill.svg
	ChatDotsFill: number;
	// chat-dots.svg
	ChatDots: number;
	// chat-fill.svg
	ChatFill: number;
	// chat-left-dots-fill.svg
	ChatLeftDotsFill: number;
	// chat-left-dots.svg
	ChatLeftDots: number;
	// chat-left-fill.svg
	ChatLeftFill: number;
	// chat-left-quote-fill.svg
	ChatLeftQuoteFill: number;
	// chat-left-quote.svg
	ChatLeftQuote: number;
	// chat-left-text-fill.svg
	ChatLeftTextFill: number;
	// chat-left-text.svg
	ChatLeftText: number;
	// chat-left.svg
	ChatLeft: number;
	// chat-quote-fill.svg
	ChatQuoteFill: number;
	// chat-quote.svg
	ChatQuote: number;
	// chat-right-dots-fill.svg
	ChatRightDotsFill: number;
	// chat-right-dots.svg
	ChatRightDots: number;
	// chat-right-fill.svg
	ChatRightFill: number;
	// chat-right-quote-fill.svg
	ChatRightQuoteFill: number;
	// chat-right-quote.svg
	ChatRightQuote: number;
	// chat-right-text-fill.svg
	ChatRightTextFill: number;
	// chat-right-text.svg
	ChatRightText: number;
	// chat-right.svg
	ChatRight: number;
	// chat-square-dots-fill.svg
	ChatSquareDotsFill: number;
	// chat-square-dots.svg
	ChatSquareDots: number;
	// chat-square-fill.svg
	ChatSquareFill: number;
	// chat-square-quote-fill.svg
	ChatSquareQuoteFill: number;
	// chat-square-quote.svg
	ChatSquareQuote: number;
	// chat-square-text-fill.svg
	ChatSquareTextFill: number;
	// chat-square-text.svg
	ChatSquareText: number;
	// chat-square.svg
	ChatSquare: number;
	// chat-text-fill.svg
	ChatTextFill: number;
	// chat-text.svg
	ChatText: number;
	// chat.svg
	Chat: number;
	// check-all.svg
	CheckAll: number;
	// check-circle-fill.svg
	CheckCircleFill: number;
	// check-circle.svg
	CheckCircle: number;
	// check-square-fill.svg
	CheckSquareFill: number;
	// check-square.svg
	CheckSquare: number;
	// check.svg
	Check: number;
	// check2-all.svg
	Check2All: number;
	// check2-circle.svg
	Check2Circle: number;
	// check2-square.svg
	Check2Square: number;
	// check2.svg
	Check2: number;
	// chevron-bar-contract.svg
	ChevronBarContract: number;
	// chevron-bar-down.svg
	ChevronBarDown: number;
	// chevron-bar-expand.svg
	ChevronBarExpand: number;
	// chevron-bar-left.svg
	ChevronBarLeft: number;
	// chevron-bar-right.svg
	ChevronBarRight: number;
	// chevron-bar-up.svg
	ChevronBarUp: number;
	// chevron-compact-down.svg
	ChevronCompactDown: number;
	// chevron-compact-left.svg
	ChevronCompactLeft: number;
	// chevron-compact-right.svg
	ChevronCompactRight: number;
	// chevron-compact-up.svg
	ChevronCompactUp: number;
	// chevron-contract.svg
	ChevronContract: number;
	// chevron-double-down.svg
	ChevronDoubleDown: number;
	// chevron-double-left.svg
	ChevronDoubleLeft: number;
	// chevron-double-right.svg
	ChevronDoubleRight: number;
	// chevron-double-up.svg
	ChevronDoubleUp: number;
	// chevron-down.svg
	ChevronDown: number;
	// chevron-expand.svg
	ChevronExpand: number;
	// chevron-left.svg
	ChevronLeft: number;
	// chevron-right.svg
	ChevronRight: number;
	// chevron-up.svg
	ChevronUp: number;
	// circle-fill.svg
	CircleFill: number;
	// circle-half.svg
	CircleHalf: number;
	// circle-square.svg
	CircleSquare: number;
	// circle.svg
	Circle: number;
	// clipboard-check.svg
	ClipboardCheck: number;
	// clipboard-data.svg
	ClipboardData: number;
	// clipboard-minus.svg
	ClipboardMinus: number;
	// clipboard-plus.svg
	ClipboardPlus: number;
	// clipboard-x.svg
	ClipboardX: number;
	// clipboard.svg
	Clipboard: number;
	// clock-fill.svg
	ClockFill: number;
	// clock-history.svg
	ClockHistory: number;
	// clock.svg
	Clock: number;
	// cloud-arrow-down-fill.svg
	CloudArrowDownFill: number;
	// cloud-arrow-down.svg
	CloudArrowDown: number;
	// cloud-arrow-up-fill.svg
	CloudArrowUpFill: number;
	// cloud-arrow-up.svg
	CloudArrowUp: number;
	// cloud-check-fill.svg
	CloudCheckFill: number;
	// cloud-check.svg
	CloudCheck: number;
	// cloud-download-fill.svg
	CloudDownloadFill: number;
	// cloud-download.svg
	CloudDownload: number;
	// cloud-fill.svg
	CloudFill: number;
	// cloud-minus-fill.svg
	CloudMinusFill: number;
	// cloud-minus.svg
	CloudMinus: number;
	// cloud-plus-fill.svg
	CloudPlusFill: number;
	// cloud-plus.svg
	CloudPlus: number;
	// cloud-slash-fill.svg
	CloudSlashFill: number;
	// cloud-slash.svg
	CloudSlash: number;
	// cloud-upload-fill.svg
	CloudUploadFill: number;
	// cloud-upload.svg
	CloudUpload: number;
	// cloud.svg
	Cloud: number;
	// code-slash.svg
	CodeSlash: number;
	// code-square.svg
	CodeSquare: number;
	// code.svg
	Code: number;
	// collection-fill.svg
	CollectionFill: number;
	// collection-play-fill.svg
	CollectionPlayFill: number;
	// collection-play.svg
	CollectionPlay: number;
	// collection.svg
	Collection: number;
	// columns-gap.svg
	ColumnsGap: number;
	// columns.svg
	Columns: number;
	// command.svg
	Command: number;
	// compass-fill.svg
	CompassFill: number;
	// compass.svg
	Compass: number;
	// cone-striped.svg
	ConeStriped: number;
	// cone.svg
	Cone: number;
	// controller.svg
	Controller: number;
	// cpu-fill.svg
	CpuFill: number;
	// cpu.svg
	Cpu: number;
	// credit-card-2-back-fill.svg
	CreditCard2BackFill: number;
	// credit-card-2-back.svg
	CreditCard2Back: number;
	// credit-card-2-front-fill.svg
	CreditCard2FrontFill: number;
	// credit-card-2-front.svg
	CreditCard2Front: number;
	// credit-card-fill.svg
	CreditCardFill: number;
	// credit-card.svg
	CreditCard: number;
	// crop.svg
	Crop: number;
	// cup-fill.svg
	CupFill: number;
	// cup-straw.svg
	CupStraw: number;
	// cup.svg
	Cup: number;
	// cursor-fill.svg
	CursorFill: number;
	// cursor-text.svg
	CursorText: number;
	// cursor.svg
	Cursor: number;
	// dash-circle-dotted.svg
	DashCircleDotted: number;
	// dash-circle-fill.svg
	DashCircleFill: number;
	// dash-circle.svg
	DashCircle: number;
	// dash-square-dotted.svg
	DashSquareDotted: number;
	// dash-square-fill.svg
	DashSquareFill: number;
	// dash-square.svg
	DashSquare: number;
	// dash.svg
	Dash: number;
	// diagram-2-fill.svg
	Diagram2Fill: number;
	// diagram-2.svg
	Diagram2: number;
	// diagram-3-fill.svg
	Diagram3Fill: number;
	// diagram-3.svg
	Diagram3: number;
	// diamond-fill.svg
	DiamondFill: number;
	// diamond-half.svg
	DiamondHalf: number;
	// diamond.svg
	Diamond: number;
	// dice-1-fill.svg
	Dice1Fill: number;
	// dice-1.svg
	Dice1: number;
	// dice-2-fill.svg
	Dice2Fill: number;
	// dice-2.svg
	Dice2: number;
	// dice-3-fill.svg
	Dice3Fill: number;
	// dice-3.svg
	Dice3: number;
	// dice-4-fill.svg
	Dice4Fill: number;
	// dice-4.svg
	Dice4: number;
	// dice-5-fill.svg
	Dice5Fill: number;
	// dice-5.svg
	Dice5: number;
	// dice-6-fill.svg
	Dice6Fill: number;
	// dice-6.svg
	Dice6: number;
	// disc-fill.svg
	DiscFill: number;
	// disc.svg
	Disc: number;
	// discord.svg
	Discord: number;
	// display-fill.svg
	DisplayFill: number;
	// display.svg
	Display: number;
	// distribute-horizontal.svg
	DistributeHorizontal: number;
	// distribute-vertical.svg
	DistributeVertical: number;
	// door-closed-fill.svg
	DoorClosedFill: number;
	// door-closed.svg
	DoorClosed: number;
	// door-open-fill.svg
	DoorOpenFill: number;
	// door-open.svg
	DoorOpen: number;
	// dot.svg
	Dot: number;
	// download.svg
	Download: number;
	// droplet-fill.svg
	DropletFill: number;
	// droplet-half.svg
	DropletHalf: number;
	// droplet.svg
	Droplet: number;
	// earbuds.svg
	Earbuds: number;
	// easel-fill.svg
	EaselFill: number;
	// easel.svg
	Easel: number;
	// egg-fill.svg
	EggFill: number;
	// egg-fried.svg
	EggFried: number;
	// egg.svg
	Egg: number;
	// eject-fill.svg
	EjectFill: number;
	// eject.svg
	Eject: number;
	// emoji-angry-fill.svg
	EmojiAngryFill: number;
	// emoji-angry.svg
	EmojiAngry: number;
	// emoji-dizzy-fill.svg
	EmojiDizzyFill: number;
	// emoji-dizzy.svg
	EmojiDizzy: number;
	// emoji-expressionless-fill.svg
	EmojiExpressionlessFill: number;
	// emoji-expressionless.svg
	EmojiExpressionless: number;
	// emoji-frown-fill.svg
	EmojiFrownFill: number;
	// emoji-frown.svg
	EmojiFrown: number;
	// emoji-heart-eyes-fill.svg
	EmojiHeartEyesFill: number;
	// emoji-heart-eyes.svg
	EmojiHeartEyes: number;
	// emoji-laughing-fill.svg
	EmojiLaughingFill: number;
	// emoji-laughing.svg
	EmojiLaughing: number;
	// emoji-neutral-fill.svg
	EmojiNeutralFill: number;
	// emoji-neutral.svg
	EmojiNeutral: number;
	// emoji-smile-fill.svg
	EmojiSmileFill: number;
	// emoji-smile-upside-down-fill.svg
	EmojiSmileUpsideDownFill: number;
	// emoji-smile-upside-down.svg
	EmojiSmileUpsideDown: number;
	// emoji-smile.svg
	EmojiSmile: number;
	// emoji-sunglasses-fill.svg
	EmojiSunglassesFill: number;
	// emoji-sunglasses.svg
	EmojiSunglasses: number;
	// emoji-wink-fill.svg
	EmojiWinkFill: number;
	// emoji-wink.svg
	EmojiWink: number;
	// envelope-fill.svg
	EnvelopeFill: number;
	// envelope-open-fill.svg
	EnvelopeOpenFill: number;
	// envelope-open.svg
	EnvelopeOpen: number;
	// envelope.svg
	Envelope: number;
	// eraser-fill.svg
	EraserFill: number;
	// eraser.svg
	Eraser: number;
	// exclamation-circle-fill.svg
	ExclamationCircleFill: number;
	// exclamation-circle.svg
	ExclamationCircle: number;
	// exclamation-diamond-fill.svg
	ExclamationDiamondFill: number;
	// exclamation-diamond.svg
	ExclamationDiamond: number;
	// exclamation-octagon-fill.svg
	ExclamationOctagonFill: number;
	// exclamation-octagon.svg
	ExclamationOctagon: number;
	// exclamation-square-fill.svg
	ExclamationSquareFill: number;
	// exclamation-square.svg
	ExclamationSquare: number;
	// exclamation-triangle-fill.svg
	ExclamationTriangleFill: number;
	// exclamation-triangle.svg
	ExclamationTriangle: number;
	// exclamation.svg
	Exclamation: number;
	// exclude.svg
	Exclude: number;
	// eye-fill.svg
	EyeFill: number;
	// eye-slash-fill.svg
	EyeSlashFill: number;
	// eye-slash.svg
	EyeSlash: number;
	// eye.svg
	Eye: number;
	// eyedropper.svg
	Eyedropper: number;
	// eyeglasses.svg
	Eyeglasses: number;
	// facebook.svg
	Facebook: number;
	// file-arrow-down-fill.svg
	FileArrowDownFill: number;
	// file-arrow-down.svg
	FileArrowDown: number;
	// file-arrow-up-fill.svg
	FileArrowUpFill: number;
	// file-arrow-up.svg
	FileArrowUp: number;
	// file-bar-graph-fill.svg
	FileBarGraphFill: number;
	// file-bar-graph.svg
	FileBarGraph: number;
	// file-binary-fill.svg
	FileBinaryFill: number;
	// file-binary.svg
	FileBinary: number;
	// file-break-fill.svg
	FileBreakFill: number;
	// file-break.svg
	FileBreak: number;
	// file-check-fill.svg
	FileCheckFill: number;
	// file-check.svg
	FileCheck: number;
	// file-code-fill.svg
	FileCodeFill: number;
	// file-code.svg
	FileCode: number;
	// file-diff-fill.svg
	FileDiffFill: number;
	// file-diff.svg
	FileDiff: number;
	// file-earmark-arrow-down-fill.svg
	FileEarmarkArrowDownFill: number;
	// file-earmark-arrow-down.svg
	FileEarmarkArrowDown: number;
	// file-earmark-arrow-up-fill.svg
	FileEarmarkArrowUpFill: number;
	// file-earmark-arrow-up.svg
	FileEarmarkArrowUp: number;
	// file-earmark-bar-graph-fill.svg
	FileEarmarkBarGraphFill: number;
	// file-earmark-bar-graph.svg
	FileEarmarkBarGraph: number;
	// file-earmark-binary-fill.svg
	FileEarmarkBinaryFill: number;
	// file-earmark-binary.svg
	FileEarmarkBinary: number;
	// file-earmark-break-fill.svg
	FileEarmarkBreakFill: number;
	// file-earmark-break.svg
	FileEarmarkBreak: number;
	// file-earmark-check-fill.svg
	FileEarmarkCheckFill: number;
	// file-earmark-check.svg
	FileEarmarkCheck: number;
	// file-earmark-code-fill.svg
	FileEarmarkCodeFill: number;
	// file-earmark-code.svg
	FileEarmarkCode: number;
	// file-earmark-diff-fill.svg
	FileEarmarkDiffFill: number;
	// file-earmark-diff.svg
	FileEarmarkDiff: number;
	// file-earmark-easel-fill.svg
	FileEarmarkEaselFill: number;
	// file-earmark-easel.svg
	FileEarmarkEasel: number;
	// file-earmark-excel-fill.svg
	FileEarmarkExcelFill: number;
	// file-earmark-excel.svg
	FileEarmarkExcel: number;
	// file-earmark-fill.svg
	FileEarmarkFill: number;
	// file-earmark-font-fill.svg
	FileEarmarkFontFill: number;
	// file-earmark-font.svg
	FileEarmarkFont: number;
	// file-earmark-image-fill.svg
	FileEarmarkImageFill: number;
	// file-earmark-image.svg
	FileEarmarkImage: number;
	// file-earmark-lock-fill.svg
	FileEarmarkLockFill: number;
	// file-earmark-lock.svg
	FileEarmarkLock: number;
	// file-earmark-lock2-fill.svg
	FileEarmarkLock2Fill: number;
	// file-earmark-lock2.svg
	FileEarmarkLock2: number;
	// file-earmark-medical-fill.svg
	FileEarmarkMedicalFill: number;
	// file-earmark-medical.svg
	FileEarmarkMedical: number;
	// file-earmark-minus-fill.svg
	FileEarmarkMinusFill: number;
	// file-earmark-minus.svg
	FileEarmarkMinus: number;
	// file-earmark-music-fill.svg
	FileEarmarkMusicFill: number;
	// file-earmark-music.svg
	FileEarmarkMusic: number;
	// file-earmark-person-fill.svg
	FileEarmarkPersonFill: number;
	// file-earmark-person.svg
	FileEarmarkPerson: number;
	// file-earmark-play-fill.svg
	FileEarmarkPlayFill: number;
	// file-earmark-play.svg
	FileEarmarkPlay: number;
	// file-earmark-plus-fill.svg
	FileEarmarkPlusFill: number;
	// file-earmark-plus.svg
	FileEarmarkPlus: number;
	// file-earmark-post-fill.svg
	FileEarmarkPostFill: number;
	// file-earmark-post.svg
	FileEarmarkPost: number;
	// file-earmark-ppt-fill.svg
	FileEarmarkPptFill: number;
	// file-earmark-ppt.svg
	FileEarmarkPpt: number;
	// file-earmark-richtext-fill.svg
	FileEarmarkRichtextFill: number;
	// file-earmark-richtext.svg
	FileEarmarkRichtext: number;
	// file-earmark-ruled-fill.svg
	FileEarmarkRuledFill: number;
	// file-earmark-ruled.svg
	FileEarmarkRuled: number;
	// file-earmark-slides-fill.svg
	FileEarmarkSlidesFill: number;
	// file-earmark-slides.svg
	FileEarmarkSlides: number;
	// file-earmark-spreadsheet-fill.svg
	FileEarmarkSpreadsheetFill: number;
	// file-earmark-spreadsheet.svg
	FileEarmarkSpreadsheet: number;
	// file-earmark-text-fill.svg
	FileEarmarkTextFill: number;
	// file-earmark-text.svg
	FileEarmarkText: number;
	// file-earmark-word-fill.svg
	FileEarmarkWordFill: number;
	// file-earmark-word.svg
	FileEarmarkWord: number;
	// file-earmark-x-fill.svg
	FileEarmarkXFill: number;
	// file-earmark-x.svg
	FileEarmarkX: number;
	// file-earmark-zip-fill.svg
	FileEarmarkZipFill: number;
	// file-earmark-zip.svg
	FileEarmarkZip: number;
	// file-earmark.svg
	FileEarmark: number;
	// file-easel-fill.svg
	FileEaselFill: number;
	// file-easel.svg
	FileEasel: number;
	// file-excel-fill.svg
	FileExcelFill: number;
	// file-excel.svg
	FileExcel: number;
	// file-fill.svg
	FileFill: number;
	// file-font-fill.svg
	FileFontFill: number;
	// file-font.svg
	FileFont: number;
	// file-image-fill.svg
	FileImageFill: number;
	// file-image.svg
	FileImage: number;
	// file-lock-fill.svg
	FileLockFill: number;
	// file-lock.svg
	FileLock: number;
	// file-lock2-fill.svg
	FileLock2Fill: number;
	// file-lock2.svg
	FileLock2: number;
	// file-medical-fill.svg
	FileMedicalFill: number;
	// file-medical.svg
	FileMedical: number;
	// file-minus-fill.svg
	FileMinusFill: number;
	// file-minus.svg
	FileMinus: number;
	// file-music-fill.svg
	FileMusicFill: number;
	// file-music.svg
	FileMusic: number;
	// file-person-fill.svg
	FilePersonFill: number;
	// file-person.svg
	FilePerson: number;
	// file-play-fill.svg
	FilePlayFill: number;
	// file-play.svg
	FilePlay: number;
	// file-plus-fill.svg
	FilePlusFill: number;
	// file-plus.svg
	FilePlus: number;
	// file-post-fill.svg
	FilePostFill: number;
	// file-post.svg
	FilePost: number;
	// file-ppt-fill.svg
	FilePptFill: number;
	// file-ppt.svg
	FilePpt: number;
	// file-richtext-fill.svg
	FileRichtextFill: number;
	// file-richtext.svg
	FileRichtext: number;
	// file-ruled-fill.svg
	FileRuledFill: number;
	// file-ruled.svg
	FileRuled: number;
	// file-slides-fill.svg
	FileSlidesFill: number;
	// file-slides.svg
	FileSlides: number;
	// file-spreadsheet-fill.svg
	FileSpreadsheetFill: number;
	// file-spreadsheet.svg
	FileSpreadsheet: number;
	// file-text-fill.svg
	FileTextFill: number;
	// file-text.svg
	FileText: number;
	// file-word-fill.svg
	FileWordFill: number;
	// file-word.svg
	FileWord: number;
	// file-x-fill.svg
	FileXFill: number;
	// file-x.svg
	FileX: number;
	// file-zip-fill.svg
	FileZipFill: number;
	// file-zip.svg
	FileZip: number;
	// file.svg
	File: number;
	// files-alt.svg
	FilesAlt: number;
	// files.svg
	Files: number;
	// film.svg
	Film: number;
	// filter-circle-fill.svg
	FilterCircleFill: number;
	// filter-circle.svg
	FilterCircle: number;
	// filter-left.svg
	FilterLeft: number;
	// filter-right.svg
	FilterRight: number;
	// filter-square-fill.svg
	FilterSquareFill: number;
	// filter-square.svg
	FilterSquare: number;
	// filter.svg
	Filter: number;
	// flag-fill.svg
	FlagFill: number;
	// flag.svg
	Flag: number;
	// flower1.svg
	Flower1: number;
	// flower2.svg
	Flower2: number;
	// flower3.svg
	Flower3: number;
	// folder-check.svg
	FolderCheck: number;
	// folder-fill.svg
	FolderFill: number;
	// folder-minus.svg
	FolderMinus: number;
	// folder-plus.svg
	FolderPlus: number;
	// folder-symlink-fill.svg
	FolderSymlinkFill: number;
	// folder-symlink.svg
	FolderSymlink: number;
	// folder-x.svg
	FolderX: number;
	// folder.svg
	Folder: number;
	// folder2-open.svg
	Folder2Open: number;
	// folder2.svg
	Folder2: number;
	// fonts.svg
	Fonts: number;
	// forward-fill.svg
	ForwardFill: number;
	// forward.svg
	Forward: number;
	// front.svg
	Front: number;
	// fullscreen-exit.svg
	FullscreenExit: number;
	// fullscreen.svg
	Fullscreen: number;
	// funnel-fill.svg
	FunnelFill: number;
	// funnel.svg
	Funnel: number;
	// gear-fill.svg
	GearFill: number;
	// gear-wide-connected.svg
	GearWideConnected: number;
	// gear-wide.svg
	GearWide: number;
	// gear.svg
	Gear: number;
	// gem.svg
	Gem: number;
	// geo-alt-fill.svg
	GeoAltFill: number;
	// geo-alt.svg
	GeoAlt: number;
	// geo-fill.svg
	GeoFill: number;
	// geo.svg
	Geo: number;
	// gift-fill.svg
	GiftFill: number;
	// gift.svg
	Gift: number;
	// github.svg
	Github: number;
	// globe.svg
	Globe: number;
	// globe2.svg
	Globe2: number;
	// google.svg
	Google: number;
	// graph-down.svg
	GraphDown: number;
	// graph-up.svg
	GraphUp: number;
	// grid-1x2-fill.svg
	Grid1x2Fill: number;
	// grid-1x2.svg
	Grid1x2: number;
	// grid-3x2-gap-fill.svg
	Grid3x2GapFill: number;
	// grid-3x2-gap.svg
	Grid3x2Gap: number;
	// grid-3x2.svg
	Grid3x2: number;
	// grid-3x3-gap-fill.svg
	Grid3x3GapFill: number;
	// grid-3x3-gap.svg
	Grid3x3Gap: number;
	// grid-3x3.svg
	Grid3x3: number;
	// grid-fill.svg
	GridFill: number;
	// grid.svg
	Grid: number;
	// grip-horizontal.svg
	GripHorizontal: number;
	// grip-vertical.svg
	GripVertical: number;
	// hammer.svg
	Hammer: number;
	// hand-index-fill.svg
	HandIndexFill: number;
	// hand-index-thumb-fill.svg
	HandIndexThumbFill: number;
	// hand-index-thumb.svg
	HandIndexThumb: number;
	// hand-index.svg
	HandIndex: number;
	// hand-thumbs-down-fill.svg
	HandThumbsDownFill: number;
	// hand-thumbs-down.svg
	HandThumbsDown: number;
	// hand-thumbs-up-fill.svg
	HandThumbsUpFill: number;
	// hand-thumbs-up.svg
	HandThumbsUp: number;
	// handbag-fill.svg
	HandbagFill: number;
	// handbag.svg
	Handbag: number;
	// hash.svg
	Hash: number;
	// hdd-fill.svg
	HddFill: number;
	// hdd-network-fill.svg
	HddNetworkFill: number;
	// hdd-network.svg
	HddNetwork: number;
	// hdd-rack-fill.svg
	HddRackFill: number;
	// hdd-rack.svg
	HddRack: number;
	// hdd-stack-fill.svg
	HddStackFill: number;
	// hdd-stack.svg
	HddStack: number;
	// hdd.svg
	Hdd: number;
	// headphones.svg
	Headphones: number;
	// headset.svg
	Headset: number;
	// heart-fill.svg
	HeartFill: number;
	// heart-half.svg
	HeartHalf: number;
	// heart.svg
	Heart: number;
	// heptagon-fill.svg
	HeptagonFill: number;
	// heptagon-half.svg
	HeptagonHalf: number;
	// heptagon.svg
	Heptagon: number;
	// hexagon-fill.svg
	HexagonFill: number;
	// hexagon-half.svg
	HexagonHalf: number;
	// hexagon.svg
	Hexagon: number;
	// hourglass-bottom.svg
	HourglassBottom: number;
	// hourglass-split.svg
	HourglassSplit: number;
	// hourglass-top.svg
	HourglassTop: number;
	// hourglass.svg
	Hourglass: number;
	// house-door-fill.svg
	HouseDoorFill: number;
	// house-door.svg
	HouseDoor: number;
	// house-fill.svg
	HouseFill: number;
	// house.svg
	House: number;
	// hr.svg
	Hr: number;
	// image-alt.svg
	ImageAlt: number;
	// image-fill.svg
	ImageFill: number;
	// image.svg
	Image: number;
	// images.svg
	Images: number;
	// inbox-fill.svg
	InboxFill: number;
	// inbox.svg
	Inbox: number;
	// inboxes-fill.svg
	InboxesFill: number;
	// inboxes.svg
	Inboxes: number;
	// info-circle-fill.svg
	InfoCircleFill: number;
	// info-circle.svg
	InfoCircle: number;
	// info-square-fill.svg
	InfoSquareFill: number;
	// info-square.svg
	InfoSquare: number;
	// info.svg
	Info: number;
	// input-cursor-text.svg
	InputCursorText: number;
	// input-cursor.svg
	InputCursor: number;
	// instagram.svg
	Instagram: number;
	// intersect.svg
	Intersect: number;
	// journal-album.svg
	JournalAlbum: number;
	// journal-arrow-down.svg
	JournalArrowDown: number;
	// journal-arrow-up.svg
	JournalArrowUp: number;
	// journal-bookmark-fill.svg
	JournalBookmarkFill: number;
	// journal-bookmark.svg
	JournalBookmark: number;
	// journal-check.svg
	JournalCheck: number;
	// journal-code.svg
	JournalCode: number;
	// journal-medical.svg
	JournalMedical: number;
	// journal-minus.svg
	JournalMinus: number;
	// journal-plus.svg
	JournalPlus: number;
	// journal-richtext.svg
	JournalRichtext: number;
	// journal-text.svg
	JournalText: number;
	// journal-x.svg
	JournalX: number;
	// journal.svg
	Journal: number;
	// journals.svg
	Journals: number;
	// joystick.svg
	Joystick: number;
	// justify-left.svg
	JustifyLeft: number;
	// justify-right.svg
	JustifyRight: number;
	// justify.svg
	Justify: number;
	// kanban-fill.svg
	KanbanFill: number;
	// kanban.svg
	Kanban: number;
	// key-fill.svg
	KeyFill: number;
	// key.svg
	Key: number;
	// keyboard-fill.svg
	KeyboardFill: number;
	// keyboard.svg
	Keyboard: number;
	// ladder.svg
	Ladder: number;
	// lamp-fill.svg
	LampFill: number;
	// lamp.svg
	Lamp: number;
	// laptop-fill.svg
	LaptopFill: number;
	// laptop.svg
	Laptop: number;
	// layer-backward.svg
	LayerBackward: number;
	// layer-forward.svg
	LayerForward: number;
	// layers-fill.svg
	LayersFill: number;
	// layers-half.svg
	LayersHalf: number;
	// layers.svg
	Layers: number;
	// layout-sidebar-inset-reverse.svg
	LayoutSidebarInsetReverse: number;
	// layout-sidebar-inset.svg
	LayoutSidebarInset: number;
	// layout-sidebar-reverse.svg
	LayoutSidebarReverse: number;
	// layout-sidebar.svg
	LayoutSidebar: number;
	// layout-split.svg
	LayoutSplit: number;
	// layout-text-sidebar-reverse.svg
	LayoutTextSidebarReverse: number;
	// layout-text-sidebar.svg
	LayoutTextSidebar: number;
	// layout-text-window-reverse.svg
	LayoutTextWindowReverse: number;
	// layout-text-window.svg
	LayoutTextWindow: number;
	// layout-three-columns.svg
	LayoutThreeColumns: number;
	// layout-wtf.svg
	LayoutWtf: number;
	// life-preserver.svg
	LifePreserver: number;
	// lightbulb-fill.svg
	LightbulbFill: number;
	// lightbulb-off-fill.svg
	LightbulbOffFill: number;
	// lightbulb-off.svg
	LightbulbOff: number;
	// lightbulb.svg
	Lightbulb: number;
	// lightning-fill.svg
	LightningFill: number;
	// lightning.svg
	Lightning: number;
	// link-45deg.svg
	Link45deg: number;
	// link.svg
	Link: number;
	// linkedin.svg
	Linkedin: number;
	// list-check.svg
	ListCheck: number;
	// list-nested.svg
	ListNested: number;
	// list-ol.svg
	ListOl: number;
	// list-stars.svg
	ListStars: number;
	// list-task.svg
	ListTask: number;
	// list-ul.svg
	ListUl: number;
	// list.svg
	List: number;
	// lock-fill.svg
	LockFill: number;
	// lock.svg
	Lock: number;
	// mailbox.svg
	Mailbox: number;
	// mailbox2.svg
	Mailbox2: number;
	// map-fill.svg
	MapFill: number;
	// map.svg
	Map: number;
	// markdown-fill.svg
	MarkdownFill: number;
	// markdown.svg
	Markdown: number;
	// mask.svg
	Mask: number;
	// megaphone-fill.svg
	MegaphoneFill: number;
	// megaphone.svg
	Megaphone: number;
	// menu-app-fill.svg
	MenuAppFill: number;
	// menu-app.svg
	MenuApp: number;
	// menu-button-fill.svg
	MenuButtonFill: number;
	// menu-button-wide-fill.svg
	MenuButtonWideFill: number;
	// menu-button-wide.svg
	MenuButtonWide: number;
	// menu-button.svg
	MenuButton: number;
	// menu-down.svg
	MenuDown: number;
	// menu-up.svg
	MenuUp: number;
	// mic-fill.svg
	MicFill: number;
	// mic-mute-fill.svg
	MicMuteFill: number;
	// mic-mute.svg
	MicMute: number;
	// mic.svg
	Mic: number;
	// minecart-loaded.svg
	MinecartLoaded: number;
	// minecart.svg
	Minecart: number;
	// moon.svg
	Moon: number;
	// mouse-fill.svg
	MouseFill: number;
	// mouse.svg
	Mouse: number;
	// mouse2-fill.svg
	Mouse2Fill: number;
	// mouse2.svg
	Mouse2: number;
	// mouse3-fill.svg
	Mouse3Fill: number;
	// mouse3.svg
	Mouse3: number;
	// music-note-beamed.svg
	MusicNoteBeamed: number;
	// music-note-list.svg
	MusicNoteList: number;
	// music-note.svg
	MusicNote: number;
	// music-player-fill.svg
	MusicPlayerFill: number;
	// music-player.svg
	MusicPlayer: number;
	// newspaper.svg
	Newspaper: number;
	// node-minus-fill.svg
	NodeMinusFill: number;
	// node-minus.svg
	NodeMinus: number;
	// node-plus-fill.svg
	NodePlusFill: number;
	// node-plus.svg
	NodePlus: number;
	// nut-fill.svg
	NutFill: number;
	// nut.svg
	Nut: number;
	// octagon-fill.svg
	OctagonFill: number;
	// octagon-half.svg
	OctagonHalf: number;
	// octagon.svg
	Octagon: number;
	// option.svg
	Option: number;
	// outlet.svg
	Outlet: number;
	// paint-bucket.svg
	PaintBucket: number;
	// palette-fill.svg
	PaletteFill: number;
	// palette.svg
	Palette: number;
	// palette2.svg
	Palette2: number;
	// paperclip.svg
	Paperclip: number;
	// paragraph.svg
	Paragraph: number;
	// patch-check-fill.svg
	PatchCheckFill: number;
	// patch-check.svg
	PatchCheck: number;
	// patch-exclamation-fill.svg
	PatchExclamationFill: number;
	// patch-exclamation.svg
	PatchExclamation: number;
	// patch-minus-fill.svg
	PatchMinusFill: number;
	// patch-minus.svg
	PatchMinus: number;
	// patch-plus-fill.svg
	PatchPlusFill: number;
	// patch-plus.svg
	PatchPlus: number;
	// patch-question-fill.svg
	PatchQuestionFill: number;
	// patch-question.svg
	PatchQuestion: number;
	// pause-btn-fill.svg
	PauseBtnFill: number;
	// pause-btn.svg
	PauseBtn: number;
	// pause-circle-fill.svg
	PauseCircleFill: number;
	// pause-circle.svg
	PauseCircle: number;
	// pause-fill.svg
	PauseFill: number;
	// pause.svg
	Pause: number;
	// peace-fill.svg
	PeaceFill: number;
	// peace.svg
	Peace: number;
	// pen-fill.svg
	PenFill: number;
	// pen.svg
	Pen: number;
	// pencil-fill.svg
	PencilFill: number;
	// pencil-square.svg
	PencilSquare: number;
	// pencil.svg
	Pencil: number;
	// pentagon-fill.svg
	PentagonFill: number;
	// pentagon-half.svg
	PentagonHalf: number;
	// pentagon.svg
	Pentagon: number;
	// people-fill.svg
	PeopleFill: number;
	// people.svg
	People: number;
	// percent.svg
	Percent: number;
	// person-badge-fill.svg
	PersonBadgeFill: number;
	// person-badge.svg
	PersonBadge: number;
	// person-bounding-box.svg
	PersonBoundingBox: number;
	// person-check-fill.svg
	PersonCheckFill: number;
	// person-check.svg
	PersonCheck: number;
	// person-circle.svg
	PersonCircle: number;
	// person-dash-fill.svg
	PersonDashFill: number;
	// person-dash.svg
	PersonDash: number;
	// person-fill.svg
	PersonFill: number;
	// person-lines-fill.svg
	PersonLinesFill: number;
	// person-plus-fill.svg
	PersonPlusFill: number;
	// person-plus.svg
	PersonPlus: number;
	// person-square.svg
	PersonSquare: number;
	// person-x-fill.svg
	PersonXFill: number;
	// person-x.svg
	PersonX: number;
	// person.svg
	Person: number;
	// phone-fill.svg
	PhoneFill: number;
	// phone-landscape-fill.svg
	PhoneLandscapeFill: number;
	// phone-landscape.svg
	PhoneLandscape: number;
	// phone-vibrate-fill.svg
	PhoneVibrateFill: number;
	// phone-vibrate.svg
	PhoneVibrate: number;
	// phone.svg
	Phone: number;
	// pie-chart-fill.svg
	PieChartFill: number;
	// pie-chart.svg
	PieChart: number;
	// pin-angle-fill.svg
	PinAngleFill: number;
	// pin-angle.svg
	PinAngle: number;
	// pin-fill.svg
	PinFill: number;
	// pin.svg
	Pin: number;
	// pip-fill.svg
	PipFill: number;
	// pip.svg
	Pip: number;
	// play-btn-fill.svg
	PlayBtnFill: number;
	// play-btn.svg
	PlayBtn: number;
	// play-circle-fill.svg
	PlayCircleFill: number;
	// play-circle.svg
	PlayCircle: number;
	// play-fill.svg
	PlayFill: number;
	// play.svg
	Play: number;
	// plug-fill.svg
	PlugFill: number;
	// plug.svg
	Plug: number;
	// plus-circle-dotted.svg
	PlusCircleDotted: number;
	// plus-circle-fill.svg
	PlusCircleFill: number;
	// plus-circle.svg
	PlusCircle: number;
	// plus-square-dotted.svg
	PlusSquareDotted: number;
	// plus-square-fill.svg
	PlusSquareFill: number;
	// plus-square.svg
	PlusSquare: number;
	// plus.svg
	Plus: number;
	// power.svg
	Power: number;
	// printer-fill.svg
	PrinterFill: number;
	// printer.svg
	Printer: number;
	// puzzle-fill.svg
	PuzzleFill: number;
	// puzzle.svg
	Puzzle: number;
	// question-circle-fill.svg
	QuestionCircleFill: number;
	// question-circle.svg
	QuestionCircle: number;
	// question-diamond-fill.svg
	QuestionDiamondFill: number;
	// question-diamond.svg
	QuestionDiamond: number;
	// question-octagon-fill.svg
	QuestionOctagonFill: number;
	// question-octagon.svg
	QuestionOctagon: number;
	// question-square-fill.svg
	QuestionSquareFill: number;
	// question-square.svg
	QuestionSquare: number;
	// question.svg
	Question: number;
	// receipt-cutoff.svg
	ReceiptCutoff: number;
	// receipt.svg
	Receipt: number;
	// reception-0.svg
	Reception0: number;
	// reception-1.svg
	Reception1: number;
	// reception-2.svg
	Reception2: number;
	// reception-3.svg
	Reception3: number;
	// reception-4.svg
	Reception4: number;
	// record-btn-fill.svg
	RecordBtnFill: number;
	// record-btn.svg
	RecordBtn: number;
	// record-circle-fill.svg
	RecordCircleFill: number;
	// record-circle.svg
	RecordCircle: number;
	// record-fill.svg
	RecordFill: number;
	// record.svg
	Record: number;
	// record2-fill.svg
	Record2Fill: number;
	// record2.svg
	Record2: number;
	// reply-all-fill.svg
	ReplyAllFill: number;
	// reply-all.svg
	ReplyAll: number;
	// reply-fill.svg
	ReplyFill: number;
	// reply.svg
	Reply: number;
	// rss-fill.svg
	RssFill: number;
	// rss.svg
	Rss: number;
	// rulers.svg
	Rulers: number;
	// save-fill.svg
	SaveFill: number;
	// save.svg
	Save: number;
	// save2-fill.svg
	Save2Fill: number;
	// save2.svg
	Save2: number;
	// scissors.svg
	Scissors: number;
	// screwdriver.svg
	Screwdriver: number;
	// search.svg
	Search: number;
	// segmented-nav.svg
	SegmentedNav: number;
	// server.svg
	Server: number;
	// share-fill.svg
	ShareFill: number;
	// share.svg
	Share: number;
	// shield-check.svg
	ShieldCheck: number;
	// shield-exclamation.svg
	ShieldExclamation: number;
	// shield-fill-check.svg
	ShieldFillCheck: number;
	// shield-fill-exclamation.svg
	ShieldFillExclamation: number;
	// shield-fill-minus.svg
	ShieldFillMinus: number;
	// shield-fill-plus.svg
	ShieldFillPlus: number;
	// shield-fill-x.svg
	ShieldFillX: number;
	// shield-fill.svg
	ShieldFill: number;
	// shield-lock-fill.svg
	ShieldLockFill: number;
	// shield-lock.svg
	ShieldLock: number;
	// shield-minus.svg
	ShieldMinus: number;
	// shield-plus.svg
	ShieldPlus: number;
	// shield-shaded.svg
	ShieldShaded: number;
	// shield-slash-fill.svg
	ShieldSlashFill: number;
	// shield-slash.svg
	ShieldSlash: number;
	// shield-x.svg
	ShieldX: number;
	// shield.svg
	Shield: number;
	// shift-fill.svg
	ShiftFill: number;
	// shift.svg
	Shift: number;
	// shop-window.svg
	ShopWindow: number;
	// shop.svg
	Shop: number;
	// shuffle.svg
	Shuffle: number;
	// signpost-2-fill.svg
	Signpost2Fill: number;
	// signpost-2.svg
	Signpost2: number;
	// signpost-fill.svg
	SignpostFill: number;
	// signpost-split-fill.svg
	SignpostSplitFill: number;
	// signpost-split.svg
	SignpostSplit: number;
	// signpost.svg
	Signpost: number;
	// sim-fill.svg
	SimFill: number;
	// sim.svg
	Sim: number;
	// skip-backward-btn-fill.svg
	SkipBackwardBtnFill: number;
	// skip-backward-btn.svg
	SkipBackwardBtn: number;
	// skip-backward-circle-fill.svg
	SkipBackwardCircleFill: number;
	// skip-backward-circle.svg
	SkipBackwardCircle: number;
	// skip-backward-fill.svg
	SkipBackwardFill: number;
	// skip-backward.svg
	SkipBackward: number;
	// skip-end-btn-fill.svg
	SkipEndBtnFill: number;
	// skip-end-btn.svg
	SkipEndBtn: number;
	// skip-end-circle-fill.svg
	SkipEndCircleFill: number;
	// skip-end-circle.svg
	SkipEndCircle: number;
	// skip-end-fill.svg
	SkipEndFill: number;
	// skip-end.svg
	SkipEnd: number;
	// skip-forward-btn-fill.svg
	SkipForwardBtnFill: number;
	// skip-forward-btn.svg
	SkipForwardBtn: number;
	// skip-forward-circle-fill.svg
	SkipForwardCircleFill: number;
	// skip-forward-circle.svg
	SkipForwardCircle: number;
	// skip-forward-fill.svg
	SkipForwardFill: number;
	// skip-forward.svg
	SkipForward: number;
	// skip-start-btn-fill.svg
	SkipStartBtnFill: number;
	// skip-start-btn.svg
	SkipStartBtn: number;
	// skip-start-circle-fill.svg
	SkipStartCircleFill: number;
	// skip-start-circle.svg
	SkipStartCircle: number;
	// skip-start-fill.svg
	SkipStartFill: number;
	// skip-start.svg
	SkipStart: number;
	// slack.svg
	Slack: number;
	// slash-circle-fill.svg
	SlashCircleFill: number;
	// slash-circle.svg
	SlashCircle: number;
	// slash-square-fill.svg
	SlashSquareFill: number;
	// slash-square.svg
	SlashSquare: number;
	// slash.svg
	Slash: number;
	// sliders.svg
	Sliders: number;
	// smartwatch.svg
	Smartwatch: number;
	// sort-alpha-down-alt.svg
	SortAlphaDownAlt: number;
	// sort-alpha-down.svg
	SortAlphaDown: number;
	// sort-alpha-up-alt.svg
	SortAlphaUpAlt: number;
	// sort-alpha-up.svg
	SortAlphaUp: number;
	// sort-down-alt.svg
	SortDownAlt: number;
	// sort-down.svg
	SortDown: number;
	// sort-numeric-down-alt.svg
	SortNumericDownAlt: number;
	// sort-numeric-down.svg
	SortNumericDown: number;
	// sort-numeric-up-alt.svg
	SortNumericUpAlt: number;
	// sort-numeric-up.svg
	SortNumericUp: number;
	// sort-up-alt.svg
	SortUpAlt: number;
	// sort-up.svg
	SortUp: number;
	// soundwave.svg
	Soundwave: number;
	// speaker-fill.svg
	SpeakerFill: number;
	// speaker.svg
	Speaker: number;
	// speedometer.svg
	Speedometer: number;
	// speedometer2.svg
	Speedometer2: number;
	// spellcheck.svg
	Spellcheck: number;
	// square-fill.svg
	SquareFill: number;
	// square-half.svg
	SquareHalf: number;
	// square.svg
	Square: number;
	// stack.svg
	Stack: number;
	// star-fill.svg
	StarFill: number;
	// star-half.svg
	StarHalf: number;
	// star.svg
	Star: number;
	// stickies-fill.svg
	StickiesFill: number;
	// stickies.svg
	Stickies: number;
	// sticky-fill.svg
	StickyFill: number;
	// sticky.svg
	Sticky: number;
	// stop-btn-fill.svg
	StopBtnFill: number;
	// stop-btn.svg
	StopBtn: number;
	// stop-circle-fill.svg
	StopCircleFill: number;
	// stop-circle.svg
	StopCircle: number;
	// stop-fill.svg
	StopFill: number;
	// stop.svg
	Stop: number;
	// stoplights-fill.svg
	StoplightsFill: number;
	// stoplights.svg
	Stoplights: number;
	// stopwatch-fill.svg
	StopwatchFill: number;
	// stopwatch.svg
	Stopwatch: number;
	// subtract.svg
	Subtract: number;
	// suit-club-fill.svg
	SuitClubFill: number;
	// suit-club.svg
	SuitClub: number;
	// suit-diamond-fill.svg
	SuitDiamondFill: number;
	// suit-diamond.svg
	SuitDiamond: number;
	// suit-heart-fill.svg
	SuitHeartFill: number;
	// suit-heart.svg
	SuitHeart: number;
	// suit-spade-fill.svg
	SuitSpadeFill: number;
	// suit-spade.svg
	SuitSpade: number;
	// sun.svg
	Sun: number;
	// sunglasses.svg
	Sunglasses: number;
	// symmetry-horizontal.svg
	SymmetryHorizontal: number;
	// symmetry-vertical.svg
	SymmetryVertical: number;
	// table.svg
	Table: number;
	// tablet-fill.svg
	TabletFill: number;
	// tablet-landscape-fill.svg
	TabletLandscapeFill: number;
	// tablet-landscape.svg
	TabletLandscape: number;
	// tablet.svg
	Tablet: number;
	// tag-fill.svg
	TagFill: number;
	// tag.svg
	Tag: number;
	// tags-fill.svg
	TagsFill: number;
	// tags.svg
	Tags: number;
	// telegram.svg
	Telegram: number;
	// telephone-fill.svg
	TelephoneFill: number;
	// telephone-forward-fill.svg
	TelephoneForwardFill: number;
	// telephone-forward.svg
	TelephoneForward: number;
	// telephone-inbound-fill.svg
	TelephoneInboundFill: number;
	// telephone-inbound.svg
	TelephoneInbound: number;
	// telephone-minus-fill.svg
	TelephoneMinusFill: number;
	// telephone-minus.svg
	TelephoneMinus: number;
	// telephone-outbound-fill.svg
	TelephoneOutboundFill: number;
	// telephone-outbound.svg
	TelephoneOutbound: number;
	// telephone-plus-fill.svg
	TelephonePlusFill: number;
	// telephone-plus.svg
	TelephonePlus: number;
	// telephone-x-fill.svg
	TelephoneXFill: number;
	// telephone-x.svg
	TelephoneX: number;
	// telephone.svg
	Telephone: number;
	// terminal-fill.svg
	TerminalFill: number;
	// terminal.svg
	Terminal: number;
	// text-center.svg
	TextCenter: number;
	// text-indent-left.svg
	TextIndentLeft: number;
	// text-indent-right.svg
	TextIndentRight: number;
	// text-left.svg
	TextLeft: number;
	// text-paragraph.svg
	TextParagraph: number;
	// text-right.svg
	TextRight: number;
	// textarea-resize.svg
	TextareaResize: number;
	// textarea-t.svg
	TextareaT: number;
	// textarea.svg
	Textarea: number;
	// thermometer-half.svg
	ThermometerHalf: number;
	// thermometer.svg
	Thermometer: number;
	// three-dots-vertical.svg
	ThreeDotsVertical: number;
	// three-dots.svg
	ThreeDots: number;
	// toggle-off.svg
	ToggleOff: number;
	// toggle-on.svg
	ToggleOn: number;
	// toggle2-off.svg
	Toggle2Off: number;
	// toggle2-on.svg
	Toggle2On: number;
	// toggles.svg
	Toggles: number;
	// toggles2.svg
	Toggles2: number;
	// tools.svg
	Tools: number;
	// trash-fill.svg
	TrashFill: number;
	// trash.svg
	Trash: number;
	// trash2-fill.svg
	Trash2Fill: number;
	// trash2.svg
	Trash2: number;
	// tree-fill.svg
	TreeFill: number;
	// tree.svg
	Tree: number;
	// triangle-fill.svg
	TriangleFill: number;
	// triangle-half.svg
	TriangleHalf: number;
	// triangle.svg
	Triangle: number;
	// trophy-fill.svg
	TrophyFill: number;
	// trophy.svg
	Trophy: number;
	// truck-flatbed.svg
	TruckFlatbed: number;
	// truck.svg
	Truck: number;
	// tv-fill.svg
	TvFill: number;
	// tv.svg
	Tv: number;
	// twitch.svg
	Twitch: number;
	// twitter.svg
	Twitter: number;
	// type-bold.svg
	TypeBold: number;
	// type-h1.svg
	TypeH1: number;
	// type-h2.svg
	TypeH2: number;
	// type-h3.svg
	TypeH3: number;
	// type-italic.svg
	TypeItalic: number;
	// type-strikethrough.svg
	TypeStrikethrough: number;
	// type-underline.svg
	TypeUnderline: number;
	// type.svg
	Type: number;
	// ui-checks-grid.svg
	UiChecksGrid: number;
	// ui-checks.svg
	UiChecks: number;
	// ui-radios-grid.svg
	UiRadiosGrid: number;
	// ui-radios.svg
	UiRadios: number;
	// union.svg
	Union: number;
	// unlock-fill.svg
	UnlockFill: number;
	// unlock.svg
	Unlock: number;
	// upc-scan.svg
	UpcScan: number;
	// upc.svg
	Upc: number;
	// upload.svg
	Upload: number;
	// vector-pen.svg
	VectorPen: number;
	// view-list.svg
	ViewList: number;
	// view-stacked.svg
	ViewStacked: number;
	// vinyl-fill.svg
	VinylFill: number;
	// vinyl.svg
	Vinyl: number;
	// voicemail.svg
	Voicemail: number;
	// volume-down-fill.svg
	VolumeDownFill: number;
	// volume-down.svg
	VolumeDown: number;
	// volume-mute-fill.svg
	VolumeMuteFill: number;
	// volume-mute.svg
	VolumeMute: number;
	// volume-off-fill.svg
	VolumeOffFill: number;
	// volume-off.svg
	VolumeOff: number;
	// volume-up-fill.svg
	VolumeUpFill: number;
	// volume-up.svg
	VolumeUp: number;
	// vr.svg
	Vr: number;
	// wallet-fill.svg
	WalletFill: number;
	// wallet.svg
	Wallet: number;
	// wallet2.svg
	Wallet2: number;
	// watch.svg
	Watch: number;
	// whatsapp.svg
	Whatsapp: number;
	// wifi-1.svg
	Wifi1: number;
	// wifi-2.svg
	Wifi2: number;
	// wifi-off.svg
	WifiOff: number;
	// wifi.svg
	Wifi: number;
	// window-dock.svg
	WindowDock: number;
	// window-sidebar.svg
	WindowSidebar: number;
	// window.svg
	Window: number;
	// wrench.svg
	Wrench: number;
	// x-circle-fill.svg
	XCircleFill: number;
	// x-circle.svg
	XCircle: number;
	// x-diamond-fill.svg
	XDiamondFill: number;
	// x-diamond.svg
	XDiamond: number;
	// x-octagon-fill.svg
	XOctagonFill: number;
	// x-octagon.svg
	XOctagon: number;
	// x-square-fill.svg
	XSquareFill: number;
	// x-square.svg
	XSquare: number;
	// x.svg
	X: number;
	// youtube.svg
	Youtube: number;
	// zoom-in.svg
	ZoomIn: number;
	// zoom-out.svg
	ZoomOut: number;
}